## org.apache.batik.css.engine
Class CSSEngineEvent

    java.lang.Object
      java.util.EventObject
          org.apache.batik.css.engine.CSSEngineEvent

All Implemented Interfaces:
  java.io.Serializable

public class CSSEngineEvent
extends java.util.EventObject

This class represents a CSS event fired by a CSSEngine.

See Also:
  Serialized Form

Field Summary
`protected org.w3c.dom.Element` `element` The event target.
`protected int[]` `properties` The changed properties indexes.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`CSSEngineEvent(CSSEngine source, org.w3c.dom.Element elt, int[] props)` Creates a new CSSEngineEvent.

Method Summary
`org.w3c.dom.Element` `getElement()` Returns the target element.
`int[]` `getProperties()` Returns the changed properties.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### element

    protected org.w3c.dom.Element element

  The event target.

### properties

    protected int[] properties

  The changed properties indexes.

Constructor Detail

### CSSEngineEvent

    public CSSEngineEvent(CSSEngine source,
                          org.w3c.dom.Element elt,
                          int[] props)

  Creates a new CSSEngineEvent.

Method Detail

### getElement

    public org.w3c.dom.Element getElement()

  Returns the target element.

### getProperties

    public int[] getProperties()

  Returns the changed properties.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.